QGIS Application - Bug report #12909
Can't edit new features without "ChangeAttributeValue'/"ChangeGeometry" capability
2015-06-08 05:54 AM - Bruno Moreira

Status: Closed

Priority: Severe/Regression

Assignee: Jurgen Fischer

Category: Vectors

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20998
Description

I'm using PostgreSQL 9.3 with PostGIS 2.1 x86
| have a table with insert only permissions (id (pkey integer auto-increment, geom geometry(MultiPolygon,4326), obs character varying)

Editing capabilities of this layer: Add Features, Fast Access to Features at ID, Simplify Geometries, Simplify Geometries with topological
validation

If i create a new feature into the Layer, | can update feature atributes(obs), before save.
If i try to copy/paste a feature into the Layer, | am unable to update feature attributes(obs), before save.

Associated revisions

Revision 77bf10b7 - 2015-06-08 05:51 PM - Jiirgen Fischer

vector layer: changing of attributes and geometry of new features doesn't require ChangeGeometry/ChangeAttributeValues capabilities (fixes #12909)

Revision a4cfdcbb - 2015-06-29 06:48 PM - Jiirgen Fischer

vector layer: changing of attributes and geometry of new features doesn't require ChangeGeometry/ChangeAttributeValues capabilities (fixes #12909)

(cherry-picked from 77bf10b)

History

#1 - 2015-06-08 06:27 AM - Giovanni Manghi

- Priority changed from High to Normal

- Subject changed from Can't edit feature attributes after copy/paste to Can't edit PostGIS features attributes after copy/paste
- Category changed from Attribute table to Data Provider/PostGIS

#2 - 2015-06-08 08:03 AM - Jiirgen Fischer

- Assignee set to Jirgen Fischer

- Priority changed from Normal to Severe/Regression

- Category changed from Data Provider/PostGIS to Vectors

- Subject changed from Can't edit PostGIS features attributes after copy/paste to Can't edit new features with
"ChangeAttributeValue"/"ChangeGeometry" capability

#3 - 2015-06-08 08:53 AM - Juirgen Fischer
- Status changed from Open to Closed
Fixed in changeset commit:"77bf10b752a264342653b4a953cf389ed5¢c28714".

#4 - 2015-06-08 09:00 AM - Jiirgen Fischer

- Status changed from Closed to In Progress

- Subject changed from Can't edit new features with "ChangeAttributeValue"/"ChangeGeometry" capability to Can't edit new features without
"ChangeAttributeValue'/"ChangeGeometry" capability

#5 - 2015-06-08 02:31 PM - Jiirgen Fischer

- Status changed from In Progress to Closed
- Resolution set to fixed/implemented
